From fc83c0517709899861733e23821a085095816dab Mon Sep 17 00:00:00 2001
From: Alexandre Wach <alexandre.wach@clearsy.com>
Date: Tue, 20 Oct 2020 10:10:20 +0200
Subject: [PATCH 410/471] Datatable bool dropdown

---
 .../gui/objectproperties/objectpropertiesdelegates.cpp    | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/src/native/gui/objectproperties/objectpropertiesdelegates.cpp b/src/native/gui/objectproperties/objectpropertiesdelegates.cpp
index 3695302..f09ee45 100644
--- a/src/native/gui/objectproperties/objectpropertiesdelegates.cpp
+++ b/src/native/gui/objectproperties/objectpropertiesdelegates.cpp
@@ -310,9 +310,13 @@ void PropertyValueDelegate::setEditorData(QWidget *editor, const QModelIndex &in
 
         cbBox->addItem("false", false);
         cbBox->addItem("true", true);
+        cbBox->addItem("", QVariant());
 
-        bool currentValue = index.data(model::WorkspaceNode::ValueRole).toBool();
-        cbBox->setCurrentIndex(!currentValue); //false = 0 yeah freestyle
+        QVariant currentValue = index.data(model::WorkspaceNode::ValueRole);
+        QString currentText = "";
+        if (currentValue.isValid())
+            currentText = currentValue.toBool() ? "true" : "false";
+        cbBox->setCurrentText(currentText);
         cbBox->setProperty("segmentId", segId);
         cbBox->setProperty("id", id);
         cbBox->setProperty("propId", nameProp);
-- 
2.22.0.windows.1

